abcm2ps put_words() 缓冲区溢出漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1200268 漏洞类型 缓冲区溢出
发布时间 2005-01-10 更新时间 2005-01-10
CVE编号 CVE-2004-1258 CNNVD-ID CNNVD-200501-209
漏洞平台 N/A CVSS评分 10.0
|漏洞来源
https://www.securityfocus.com/bid/82623
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-200501-209
|漏洞详情
abcm2ps是一款能够将音乐曲调从ABC符号转换为PostScript或SVG格式的命令行程序。abcm2ps3.7.20版本中subs.c的put_words函数存在缓冲区溢出漏洞。远程攻击者可以通过特制的ABC文件,利用此漏洞执行强制性代码。
|受影响的产品
Moinejf Abcm2ps 3.7.20
|参考资料

来源:XF
名称:abcm2ps-putwords-bo(18579)
链接:http://xforce.iss.net/xforce/xfdb/18579
来源:MISC
链接:http://tigger.uic.edu/~jlongs2/holes/abcm2ps.txt